using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using OrchardCore.Security.Permissions;

namespace OrchardCore.ReverseProxy
{
    public class Permissions : IPermissionProvider
    {
        public static readonly Permission ReverseProxySettings = new Permission("ReverseProxySettings", "Manage Reverse Proxy Settings");

        public Task<IEnumerable<Permission>> GetPermissionsAsync()
        {
            return Task.FromResult(new[] { ReverseProxySettings }.AsEnumerable());
        }

        public IEnumerable<PermissionStereotype> GetDefaultStereotypes()
        {
            return new[]
            {
                new PermissionStereotype
                {
                    Name = "Administrator",
                    Permissions = new[] { ReverseProxySettings }
                },
            };
        }
    }
}
